New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2460 (write restart with XIOS in AGRIF) – NEMO

Opened 2 years ago

Closed 2 years ago

Last modified 5 months ago

#2460 closed Defect (fixed)

write restart with XIOS in AGRIF

Reported by: andmirek Owned by: andmirek
Priority: low Milestone: Unscheduled
Component: AGRIF Version: trunk
Severity: minor Keywords: v4.2
Cc:

Description

Context

User pysh reported that writing restart with XIOS doesn't work correctly with AGRIF (​http://forge.ipsl.jussieu.fr/nemo/discussion/topic/88).

Analysis

Incorrect variable (lwxios), related to restart writing with XIOS, is initialized in domain.F90. Similar change is needed for a trunk and is part of the ticket #2386.

Recommendation

Set nn_wxios = 0 instead of setting lwxios = .FALSE. in domain.F90

Commit History (8)

ChangesetAuthorTimeChangeLog
13297andmirek2020-07-13T10:01:58+02:00

Ticket #2460 into 4.0-HEAD

12899andmirek2020-05-11T12:54:05+02:00

Ticket #2460: correction

12897andmirek2020-05-11T12:45:19+02:00

Ticket #2460: Changes in iom.F90

12887andmirek2020-05-07T14:25:17+02:00

ticket #2460: fix for AGRIF

12886andmirek2020-05-07T14:18:25+02:00

ticket #2460 create development branch from r4.0-HEAD

12885andmirek2020-05-07T14:11:25+02:00

ticket #2460 remove branch - incorrect staring point

12884andmirek2020-05-07T09:25:11+02:00

Ticket #2460: fix AGRIF restart write with XIOS

12883andmirek2020-05-07T09:17:19+02:00

Branch for ticket #2460

Change History (13)

comment:1 Changed 2 years ago by andmirek

  • Owner changed from systeam to andmirek
  • Status changed from new to assigned
  • Summary changed from write restart with XIOS in AGFRIF to write restart with XIOS in AGRIF

comment:2 Changed 2 years ago by andmirek

In 12883:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 2 years ago by andmirek

In 12884:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 2 years ago by andmirek

In 12885:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 2 years ago by andmirek

In 12886:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

svn+ssh://andmirek@forge.ipsl.jussieu.fr/ipsl/forge/projets/nemo/svn/NEMO/branches/2020/dev_r40_AGRIF_RW

Last edited 2 years ago by andmirek (previous) (diff)

comment:6 Changed 2 years ago by andmirek

In 12887:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 2 years ago by andmirek

In 12897:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

This change is to correctly set the name of a restart file for the cases when there is more than 1 AGRIF zoom.

Last edited 2 years ago by andmirek (previous) (diff)

comment:8 Changed 2 years ago by andmirek

In 12899:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 2 years ago by andmirek

Test with XIOS writing/reading NEMO restart (nemo_validation_rw_XIOS) and without (nemo_validation)

Current code is : NEMO/branches/2020/dev_r40_AGRIF_RW @ r12899 ( last change @ r12899 )

SETTE validation report generated for :

NEMO/branches/2020/dev_r40_AGRIF_RW @ r12899 (last changed revision)

on XC40_METO_IFORT arch file

!!---------------1st pass------------------!!

!----restart----!

WGYRE_PISCES_ST run.stat restartability passed : 12899
WGYRE_PISCES_ST tracer.stat restartability passed : 12899
WORCA2_ICE_PISCES_ST run.stat restartability passed : 12899
WORCA2_ICE_PISCES_ST tracer.stat restartability passed : 12899
WORCA2_OFF_PISCES_ST tracer.stat restartability passed : 12899
WAMM12_ST run.stat restartability passed : 12899
WORCA2_SAS_ICE_ST run.stat restartability passed : 12899
WAGRIF_DEMO_ST run.stat restartability passed : 12899
WSPITZ12_ST run.stat restartability passed : 12899
WISOMIP_ST run.stat restartability passed : 12899
WOVERFLOW_ST run.stat restartability passed : 12899
WLOCK_EXCHANGE_ST run.stat restartability passed : 12899
WVORTEX_ST run.stat restartability passed : 12899
WICE_AGRIF_ST run.stat restartability passed : 12899

!----repro----!

WGYRE_PISCES_ST run.stat reproducibility passed : 12899
WGYRE_PISCES_ST tracer.stat reproducibility passed : 12899
WORCA2_ICE_PISCES_ST run.stat reproducibility passed : 12899
WORCA2_ICE_PISCES_ST tracer.stat reproducibility passed : 12899
WORCA2_OFF_PISCES_ST tracer.stat reproducibility passed : 12899
WAMM12_ST run.stat reproducibility passed : 12899
WORCA2_SAS_ICE_ST run.stat reproducibility passed : 12899
WORCA2_ICE_OBS_ST run.stat reproducibility passed : 12899
WAGRIF_DEMO_ST run.stat reproducibility passed : 12899
WSPITZ12_ST run.stat reproducibility passed : 12899
WISOMIP_ST run.stat reproducibility passed : 12899
WVORTEX_ST run.stat reproducibility passed : 12899
WICE_AGRIF_ST run.stat reproducibility passed : 12899

!----agrif check----!

ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat unchanged - passed : 12899 12899

!----result comparison check----!

check result differences between :
VALID directory : /home/d02/mandrej/nemo_validation_rw_XIOS/NEMO_VALIDATION at rev 12899
and
REFERENCE directory : /home/d02/mandrej/nemo_validation/NEMO_VALIDATION/ at rev 12899

WGYRE_PISCES_ST run.stat files are identical
WGYRE_PISCES_ST tracer.stat files are identical
WORCA2_ICE_PISCES_ST run.stat files are identical
WORCA2_ICE_PISCES_ST tracer.stat files are identical
WORCA2_OFF_PISCES_ST tracer.stat files are identical
WAMM12_ST run.stat files are identical
WISOMIP_ST run.stat files are identical
WORCA2_SAS_ICE_ST run.stat files are identical
WAGRIF_DEMO_ST run.stat files are identical
WSPITZ12_ST run.stat files are identical
WISOMIP_ST run.stat files are identical
WVORTEX_ST run.stat files are identical
WICE_AGRIF_ST run.stat files are identical

!!---------------2nd pass------------------!!

!----restart----!

!----repro----!

!----agrif check----!

!----result comparison check----!

check result differences between :
VALID directory : /home/d02/mandrej/nemo_validation_rw_XIOS/NEMO_VALIDATION at rev 12899
and
REFERENCE directory : /home/d02/mandrej/nemo_validation/NEMO_VALIDATION/ at rev 12899

Last edited 2 years ago by andmirek (previous) (diff)

comment:10 Changed 2 years ago by ayoung

I'm happy with the developer's responses to the questions regarding this development so am happy for the change to go ahead.

comment:11 Changed 2 years ago by andmirek

In 13297:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 2 years ago by andmirek

  • Resolution set to fixed
  • Status changed from assigned to closed

committed as 13297.

comment:13 Changed 5 months ago by nemo

  • Keywords v4.2 added
Note: See TracTickets for help on using tickets.